var ExcelData;

function ConfirmImport() {
    $.ajax({
        type: "POST",
        url: "/Admin/UserAccount/Import?r=" + Math.random(1),
        data: "ExcelData=" + encodeURIComponent(JSON.stringify(ExcelData)),
        dataType: "text",
        success: function (data) {
            if (data == "success") {
                layer.msg("导入成功", {
                    time: 2000
                }, function () {
                    window.location.reload();
                });
            } else {
                layer.msg(data);
            }
        }
    });
}

var excel;
layui.config({
    base: '/layuiadmin/' //静态资源所在路径
}).extend({
    myexcel: 'layui/lay/modules/excel',
    index: 'lib/index' //主入口模块
}).use(['index', 'table', 'excel', 'laydate'], function () {
    var $ = layui.$,
        form = layui.form,
        table = layui.table;

    //- 筛选条件-日期
    var laydate = layui.laydate;
    var layCreateDate = laydate.render({
        elem: '#CreateDate',
        type: 'date',
        range: true,
        trigger: 'click',
        change: function (value, date, endDate) {
            var op = true;
            if (date.year == endDate.year && endDate.month - date.month <= 1) {
                if (endDate.month - date.month == 1 && endDate.date > date.date) {
                    op = false;
                    layCreateDate.hint('日期范围请不要超过1个月');
                    setTimeout(function () {
                        $(".laydate-btns-confirm").addClass("laydate-disabled");
                    }, 1);
                }
            } else {
                op = false;
                layCreateDate.hint('日期范围请不要超过1个月');
                setTimeout(function () {
                    $(".laydate-btns-confirm").addClass("laydate-disabled");
                }, 1);
            }
            if (op) {
                $('#CreateDate').val(value);
            }
        }
    });


    //excel导入
    excel = layui.excel;
    $('#ExcelFile').change(function (e) {
        var files = e.target.files;
        excel.importExcel(files, {}, function (data) {
            ExcelData = data[0].sheet1;
        });
    });

    //监听单元格编辑
    table.on('edit(LAY-list-manage)', function (obj) {
        var value = obj.value //得到修改后的值
            ,
            data = obj.data //得到所在行所有键值
            ,
            field = obj.field; //得到字段
        if (field == "Sort") {
            $.ajax({
                type: "POST",
                url: "/Admin/UserAccount/Sort?r=" + Math.random(1),
                data: "Id=" + data.Id + "&Sort=" + value,
                dataType: "text",
                success: function (data) {}
            });
        }
    });

    //列表数据
    table.render({
        elem: '#LAY-list-manage',
        url: '/Admin/UserAccount/IndexData' //模拟接口
            ,
        cols: [
            [{
                    type: 'checkbox',
                    fixed: 'left'
            },
                { field: 'MakerCode', width: 110, title: '创客编号' ,sort: true},
                { field: 'RealName', width: 110, title: '创客姓名' ,sort: true},
                // { field: 'TopMakerCode', width: 200, title: '顶级创客编号' ,sort: true},
                // { field: 'TopRealName', width: 200, title: '顶级创客姓名' ,sort: true},
                { field: 'TotalAmount', width: 120, title: '账户总金额' ,sort: true},
                { field: 'FreezeAmount', width: 110, title: '冻结金额' ,sort: true},
                { field: 'BalanceAmount', width: 110, title: '余额' ,sort: true},
                { field: 'TempAmount', width: 110, title: '支付宝临时额度' ,sort: true},
                { field: 'TempAmountForBalance', width: 110, title: '余额临时额度' ,sort: true},
                { field: 'ThisMonthPreAmount', width: 110, title: '本月预发额度' ,sort: true},
                { field: 'ValidPreAmount', width: 110, title: '可用预发额度' ,sort: true},
                { field: 'AccountStatusName', width: 110, title: '账户状态' ,sort: true},
                { field: 'SeoDescription', width: 100, title: '备注' ,sort: true},
                { field: 'LeaderReserve', width: 100, title: '盟主储蓄金' ,sort: true},
                { field: 'LeaderBalanceAmount', width: 100, title: '盟主可提现余额' ,sort: true},
                // { field: 'CreateDate', width: 200, title: '创建时间' ,sort: true},
                { field: 'UpdateDate', width: 160, title: '冻结/解冻时间' ,sort: true},
                { field: 'UpdateMan', width: 160, title: '操作信息' ,sort: true},
                {
                    title: '操作',
                    width: 400,
                    align: 'center',
                    fixed: 'right',
                    toolbar: '#table-list-tools'
                }
            ]
        ],
        where: {
            UserId: UserId
        },
        page: true,
        limit: 30,
        height: 'full-' + String($('.layui-card-header').height() + 130),
        text: '对不起，加载出现异常！',
        done: function (res, curr, count) {
            $("#TotalAmount").text(res.other.TotalAmount);
            $("#FreezeAmount").text(res.other.FreezeAmount);
            $("#BalanceAmount").text(res.other.BalanceAmount);
            $(".layui-none").text("无数据");
        }
    });

    //监听工具条
    table.on('tool(LAY-list-manage)', function (obj) {
        var data = obj.data;
        if (obj.event === 'del') {
            var index = layer.confirm('确定要删除吗？删除后不能恢复！', function (index) {
                $.ajax({
                    type: "POST",
                    url: "/Admin/UserAccount/Delete?r=" + Math.random(1),
                    data: "Id=" + data.Id,
                    dataType: "text",
                    success: function (data) {
                        if (data == "success") {
                            obj.del();
                            layer.close(index);
                        } else {
                            parent.layer.msg(data);
                        }
                    }
                });
            });
        } else if (obj.event === 'edit') {
            var tr = $(obj.tr);
            var perContent = layer.open({
                type: 2,
                title: '创客账户-编辑',
                content: 'Edit?Id=' + data.Id + '',
                maxmin: true,
                area: ['500px', '450px'],
                btn: ['确定', '取消'],
                yes: function (index, layero) {
                    var iframeWindow = window['layui-layer-iframe' + index],
                        submitID = 'LAY-list-front-submit',
                        submit = layero.find('iframe').contents().find('#' + submitID);

                    setTimeout(function () {
                        layero.find('iframe').contents().find('.layui-tab-item').each(function (i) {
                            var errObj = $(this).find('.layui-form-danger');
                            if (errObj.length > 0) {
                                iframeWindow.element.tabChange('mytabbar', String(i + 1));
                                submit.click();
                            }
                        });
                    }, 300);






                    //监听提交
                    iframeWindow.layui.form.on('submit(' + submitID + ')', function (data) {
                        var field = data.field; //获取提交的字段
                        var userdata = "";
                        for (var prop in field) {
                            userdata += prop + "=" + encodeURIComponent(field[prop]) + "&";
                        }
                        //提交 Ajax 成功后，静态更新表格中的数据
                        //$.ajax({});

                        $.ajax({
                            type: "POST",
                            url: "/Admin/UserAccount/Edit?r=" + Math.random(1),
                            data: userdata,
                            dataType: "text",
                            success: function (data) {
                                layer.close(index); //关闭弹层
                                if (data == "success") {
                                    table.reload('LAY-list-manage'); //数据刷新
                                } else {
                                    layer.msg(data);
                                }
                            }
                        });
                    });

                    submit.trigger('click');
                },
                success: function (layero, index) {

                }
            });
            layer.full(perContent);
        } else if (obj.event === 'closeRemark') {
            var tr = $(obj.tr);
            var perContent = layer.open({
                type: 2,
                title: '创客账户冻结备注',
                content: 'CloseRemark?Id=' + data.Id + '',
                maxmin: true,
                area: ['510px', '300px'],
                btn: ['确定', '取消'],
                yes: function (index, layero) {
                    var iframeWindow = window['layui-layer-iframe' + index],
                        submitID = 'LAY-list-front-submit',
                        submit = layero.find('iframe').contents().find('#' + submitID);

                    setTimeout(function () {
                        layero.find('iframe').contents().find('.layui-tab-item').each(function (i) {
                            var errObj = $(this).find('.layui-form-danger');
                            if (errObj.length > 0) {
                                iframeWindow.element.tabChange('mytabbar', String(i + 1));
                                submit.click();
                            }
                        });
                    }, 300);

                    //监听提交
                    iframeWindow.layui.form.on('submit(' + submitID + ')', function (data) {
                        var field = data.field; //获取提交的字段
                        var userdata = "";
                        for (var prop in field) {
                            userdata += prop + "=" + encodeURIComponent(field[prop]) + "&";
                        }
                        //提交 Ajax 成功后，静态更新表格中的数据
                        //$.ajax({});

                        $.ajax({
                            type: "POST",
                            url: "/Admin/UserAccount/CloseRemark?r=" + Math.random(1),
                            data: userdata,
                            dataType: "text",
                            success: function (data) {
                                layer.close(index); //关闭弹层
                                if (data == "success") {
                                    table.reload('LAY-list-manage'); //数据刷新
                                } else {
                                    layer.msg(data);
                                }
                            }
                        });
                    });

                    submit.trigger('click');
                },
                success: function (layero, index) {

                }
            });
        } else if (obj.event === 'Open') {
            var index = layer.confirm('是否确定解冻' + data.RealName + '的账户，恢复他提现?', function (index) {
                $.ajax({
                    type: "POST",
                    url: "/Admin/UserAccount/Open?r=" + Math.random(1),
                    data: "Id=" + data.Id,
                    dataType: "text",
                    success: function (data) {
                        layer.close(index); //关闭弹层
                        if (data == "success") {
                            layer.msg("已解冻", { time: 1500 }, function () {
                                table.reload('LAY-list-manage'); //数据刷新
                            });
                        } else {
                            parent.layer.msg(data);
                        }
                    }
                });
            });
        } else if (obj.event === 'Close') {
            var index = layer.confirm('是否确定冻结' + data.RealName + '的账户，禁止他提现?', function (index)
            {
                $.ajax({
                    type: "POST",
                    url: "/Admin/UserAccount/Close?r=" + Math.random(1),
                    data: "Id=" + data.Id,
                    dataType: "text",
                    success: function (data) {
                        layer.close(index); //关闭弹层
                        if (data == "success") {
                            layer.msg("已冻结", { time: 1500 }, function () {
                                table.reload('LAY-list-manage'); //数据刷新
                            });
                        } else {
                            parent.layer.msg(data);
                        }
                    }
                });
            });
        }
    });


    //监听搜索
    form.on('submit(LAY-list-front-search)', function (data) {
        var field = data.field;
        field.ShowFlag = 1;
        if (field.MakerCode == "" && field.RealName == "" && field.CreateDateData == "" && field.TopUserId == "" && field.AccountStatusSelect == "") {
            layer.alert('请输入查询条件');
        }
        else {
            //执行重载
            table.reload('LAY-list-manage', {
                where: field,
                page: {
                    curr: 1
                }
            });
        }
    });
    form.on('submit(LAY-list-front-searchall)', function (data) {
        table.reload('LAY-list-manage', {
            where: null,
            page: {
                curr: 1
            }
        });
    });

    //事件
    var active = {
        batchdel: function () {
            var checkStatus = table.checkStatus('LAY-list-manage'),
                data = checkStatus.data; //得到选中的数据
            if (data.length < 1) {
                parent.layer.msg("请选择要删除的项");
            } else {
                var ids = "";
                $.each(data, function (index, value) {
                    ids += data[index].Id + ",";
                });
                ids = ids.substring(0, ids.length - 1);
                var index = layer.confirm('确定要删除吗？删除后不能恢复！', function (index) {
                    $.ajax({
                        type: "POST",
                        url: "/Admin/UserAccount/Delete?r=" + Math.random(1),
                        data: "Id=" + ids,
                        dataType: "text",
                        success: function (data) {
                            layer.close(index);
                            if (data == "success") {
                                table.reload('LAY-list-manage');
                            } else {
                                layer.msg(data);
                            }
                        }
                    });
                });
            }
        },
        add: function () {
            var perContent = layer.open({
                type: 2,
                title: '创客账户-添加',
                content: 'Add',
                maxmin: true,
                area: ['500px', '450px'],
                btn: ['确定', '取消'],
                yes: function (index, layero) {
                    var iframeWindow = window['layui-layer-iframe' + index],
                        submitID = 'LAY-list-front-submit',
                        submit = layero.find('iframe').contents().find('#' + submitID);

                    setTimeout(function () {
                        layero.find('iframe').contents().find('.layui-tab-item').each(function (i) {
                            var errObj = $(this).find('.layui-form-danger');
                            if (errObj.length > 0) {
                                iframeWindow.element.tabChange('mytabbar', String(i + 1));
                                submit.click();
                            }
                        });
                    }, 300);






                    //监听提交
                    iframeWindow.layui.form.on('submit(' + submitID + ')', function (data) {
                        var field = data.field; //获取提交的字段
                        var userdata = "";
                        for (var prop in field) {
                            userdata += prop + "=" + encodeURIComponent(field[prop]) + "&";
                        }
                        //提交 Ajax 成功后，静态更新表格中的数据
                        //$.ajax({});

                        $.ajax({
                            type: "POST",
                            url: "/Admin/UserAccount/Add?r=" + Math.random(1),
                            data: userdata,
                            dataType: "text",
                            success: function (data) {
                                layer.close(index); //关闭弹层
                                if (data == "success") {
                                    table.reload('LAY-list-manage'); //数据刷新
                                } else {
                                    layer.msg(data);
                                }
                            }
                        });
                    });

                    submit.trigger('click');
                }
            });
            layer.full(perContent);
        },
        ImportData: function () {
            layer.open({
                type: 1,
                title: '导入',
                maxmin: false,
                area: ['460px', '180px'],
                content: $('#excelForm'),
                cancel: function () {}
            });
        },
        ExportExcel: function () {
            var userdata = $('#QueryForm').serialize();
            $.ajax({
                type: "POST",
                url: "/Admin/UserAccount/ExportExcel?r=" + Math.random(1),
                data: userdata,
                dataType: "json",
                success: function (data) {
                    data.Obj.unshift(data.Fields);
                    excel.exportExcel(data.Obj, data.Info, 'xlsx');
                }
            });
        },
        Open: function () {
            var checkStatus = table.checkStatus('LAY-list-manage'),
                data = checkStatus.data; //得到选中的数据
            if (data.length < 1) {
                parent.layer.msg("请选择要开启的项");
            } else {
                var ids = "";
                $.each(data, function (index, value) {
                    ids += data[index].Id + ",";
                });
                ids = ids.substring(0, ids.length - 1);
                var index = layer.confirm('确定要开启吗？', function (index) {
                    $.ajax({
                        type: "POST",
                        url: "/Admin/UserAccount/Open?r=" + Math.random(1),
                        data: "Id=" + ids,
                        dataType: "text",
                        success: function (data) {
                            layer.close(index);
                            if (data == "success") {
                                table.reload('LAY-list-manage');
                            } else {
                                layer.msg(data);
                            }
                        }
                    });
                });
            }
        },
        Close: function () {
            var checkStatus = table.checkStatus('LAY-list-manage'),
                data = checkStatus.data; //得到选中的数据
            if (data.length < 1) {
                parent.layer.msg("请选择要关闭的项");
            } else {
                var ids = "";
                $.each(data, function (index, value) {
                    ids += data[index].Id + ",";
                });
                ids = ids.substring(0, ids.length - 1);
                var index = layer.confirm('确定要关闭吗？', function (index) {
                    $.ajax({
                        type: "POST",
                        url: "/Admin/UserAccount/Close?r=" + Math.random(1),
                        data: "Id=" + ids,
                        dataType: "text",
                        success: function (data) {
                            layer.close(index);
                            if (data == "success") {
                                table.reload('LAY-list-manage');
                            } else {
                                layer.msg(data);
                            }
                        }
                    });
                });
            }
        }
    };

    $('.layui-btn').on('click', function () {
        var type = $(this).data('type');
        active[type] ? active[type].call(this) : '';
    });
});